Common command-line options for all clients
Prev | Chapter 6. Overview of the RefDB command-line clients | Next

## Common command-line options for all clients

All clients share a common set of command-line options. The command-line options override the corresponding settings in the configuration files. Please see the chapters about the individual applications in the Reference manual for all application-specific options.

All clients use the GNU getopt library to parse the command line. Switches can be combined (`-abc` is the same as `-a` `-b` `-c`) and the sequence is arbitrary (`-a` `-b` is the same as `-b` `-a`). All options are case sensitive (`-A` is not the same as `-a`).

-c `command`

  The command line of the pager that is to be used. Instead of a pager you can of course specify any valid command that accepts data on stdin. Use “stdout” to request data output to stdout. This is the default, but you may want to specify it on the command line if you need to temporarily override a default pager setting in your configuration file.

-e `logdest`

  `logdest` can have the values 0, 1, or 2, or the equivalent strings "stderr", "syslog", or "file", respectively. This value specifies where the log information goes to. "0" (zero) means the messages are sent to stderr. They are immediately available on the screen but they may interfere with command output. "1" will send the output to the syslog facility. Keep in mind that syslog must be configured to accept log messages from user programs, see the syslog(8) man page for further information. Unix-like systems usually save these messages in `/var/log/user.log`. "2" will send the messages to a custom log file which can be specified with the `-L` option.

-h

  Displays help and usage screen, then exits.

-i `IP-address`

  Set the IP address of the box which is running the application server (refdbd). Instead of the IP address you can also specify the hostname as long as it can be properly resolved by your system.

-l `loglevel`

  Specify the priority up to which events are logged. This is either a number between "0" and "7" or one of the strings "emerg", "alert", "crit", "err", "warning", "notice", "info", "debug", respectively (see also Log level definitions). "-1" disables logging completely. A low log level like "0" means that only the most critical messages are logged. A higher log level means that less critical events are logged as well. "7" will include debug messages. The latter can be verbose and abundant, so you want to avoid this log level unless you need to track down problems.

-L `logfile`

  Specify the full path to a log file that will receive the log messages. Typically this would be `/var/log/<appname>`.

-p `port`

  Set the port of the box which is running the application server

-q

  Start without reading the configuration files. The client will use the compile-time defaults for all values that you do not set with command-line switches.

-T `time`

  Set the timeout for client/application server dialogue in seconds. A connection with unsuccessful read or write attempts will be considered as dead and taken down after this amount of time has elapsed.

-u `name`

  Set the username for the database access.

  ### Note

  This username need not be identical to the login name of the user. This is the username required to access the database server.

-v

  Prints version and copyright information, then exits.

-V

  Switches to verbose mode.

-w `password`

  Set the password for the database access.

  ### Note

  This password need not be identical to the login password of the user. This is the password required to access the database server.

  ### Warning

  If you pass the password as a command-line parameter, it will be visible in the process listing with the ps command (at least for a brief period of time, until the client overwrites the password string). To avoid sharing your password with the rest of the world, you should either keep your password in your configuration file or use "-w '*'" instead. This will cause the RefDB client to ask you for the password interactively (this is also the default if you don't use the `-w` switch at all and don't have an entry in the configuration file). You must protect the '*' with single quotation marks to prevent the shell from expanding it into a list of files in the current working directory.

-y

  Specify the directory where the global configuration files are

  ### Note

  By default, all RefDB applications look for their configuration files in a directory that is specified during the configure step when building the package. That is, you don't need the `-y` option unless you use precompiled binaries in unusual locations, e.g. by relocating a rpm package.

Prev | Up | Next
The non-interactive mode of refdbib | Home | Chapter 7. Data input